%define _modulesdir %_libdir/X11/modules
%define _fdidir %_datadir/hal/fdi/policy/20thirdparty

Name: xorg-drv-keyboard
Version: 1.3.1
Release: alt3.M41.1
Serial: 1
Summary: Keyboard input driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

PreReq: XORG_ABI_XINPUT = %get_xorg_abi_xinput
Provides: xorg-x11-drv-keyboard = %serial:%version-%release
Obsoletes: xorg-x11-drv-keyboard

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: xorg-proto-devel xorg-util-macros xorg-sdk

%description
kbd  is an Xorg input driver for keyboards.  The driver supports
the standard OS-provided keyboard interface, but these  are  cur-
rently  only  available  to  this  driver  module  for  Linux, BSD, and
Solaris.  This driver is  planned  to  replace  the  built-in  keyboard
driver in a future release of Xorg.

The kbd driver functions as a keyboard input device, and may be used as
the X server's core keyboard.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_fdidir
install -m644 *.fdi %buildroot%_fdidir/

%files
%dir %_modulesdir/input
%_modulesdir/input/*.so
%_fdidir/*.fdi
%_man4dir/*

%changelog
* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.1-alt3.M41.1
- build for branch 4.1

* Wed Aug 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.1-alt4
- added hal policy for Logitech diNovo Media Desktop Laser Keyboard

* Thu Jun 26 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.1-alt3
- added some hal policy

* Mon Jun 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.1-alt2
- renamed xorg-x11-drv-keyboard to xorg-drv-keyboard
- added requires XORG_ABI_XINPUT = 2.0

* Thu May 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.1-alt1
- 1.3.1

* Fri Mar 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt1
- 1.3.0

* Wed Jan 16 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.2-alt3
- automatically inherit the vt's numlock and capslock status

* Tue Jan 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.2-alt2
- don't sleep(1) on VT entry

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.2-alt1
- 1.2.2

* Tue Dec 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt1
- 1.2.1

* Thu Nov 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt1
- 1.2.0

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt1
- 1.1.1

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt2
- prerequires xorg-x11-server-common >= 1.0.99.901

* Fri Apr 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt1
- 1.1.0

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.3-alt2
- fixed requires

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt0.1
- initial release

